<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "design".
 *
 * @property int $id
 * @property int|null $user_id
 * @property string|null $design_name
 * @property string|null $colour_idea
 * @property int|null $is_deleted
 * @property int|null $is_printed
 * @property int|null $status
 * @property string|null $design_img
 * @property string|null $design_file
 * @property string|null $design_pdf
 * @property string|null $created_at
 * @property int|null $created_by
 * @property string|null $updated_at
 * @property int|null $updated_by
 *
 * @property User $user
 */
class Design extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'design';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['user_id', 'is_deleted', 'is_printed', 'status', 'created_by', 'updated_by'], 'integer'],
            [['design_img', 'design_file', 'design_pdf'], 'string'],
            [['created_at', 'updated_at'], 'safe'],
            [['design_name', 'colour_idea'], 'string', 'max' => 255],
            [['user_id'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['user_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'user_id' => 'User ID',
            'design_name' => 'Design Name',
            'colour_idea' => 'Colour Idea',
            'is_deleted' => 'Is Deleted',
            'is_printed' => 'Is Printed',
            'status' => 'Status',
            'design_img' => 'Design Img',
            'design_file' => 'Design File',
            'design_pdf' => 'Design Pdf',
            'created_at' => 'Created At',
            'created_by' => 'Created By',
            'updated_at' => 'Updated At',
            'updated_by' => 'Updated By',
        ];
    }

    /**
     * Gets query for [[User]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getUser()
    {
        return $this->hasOne(User::className(), ['id' => 'user_id']);
    }

    public function getCreatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'created_by']);
    }

    public function getUpdatedBy()
    {
        return $this->hasOne(User::className(), ['id' => 'updated_by']);
    }
}
