<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Design */
/* @var $form yii\widgets\ActiveForm */
// echo '---------------> '.$model->isNewRecord;

$img = '';
$imgLink = Yii::$app->directories->getFiles($model, 'img');
if($imgLink) {
    $img = '<div class="row">';
    $img .= '<div class="col-md-12">';
    $img .= Html::img(Yii::$app->directories->getFiles($model, 'img'), [
        'style' => 'width:auto; max-height: 100px;',
        'alt' => 'Image'
    ]);
    $img .= '</div>';
    $img .= '<div class="col-md-12">';
    $img .= '<a href="'.$imgLink.'" target="_blank">Download Img</a>';
    $img .= '&nbsp;&nbsp;&nbsp;<a href="index.php?r=design/remove&id='.$model->id.'&type=img" style="color:red;">Remove Img</a>';
    $img .= '</div>';
}

$file = '';
$fileLink = Yii::$app->directories->getFiles($model, 'file');
if($fileLink) {
    $file .= '<a href="'.$fileLink.'" target="_blank">Download File</a>';
    $file .= '&nbsp;&nbsp;&nbsp;<a href="index.php?r=design/remove&id='.$model->id.'&type=file" style="color:red;">Remove File</a>';
}

$pdf = '';
$pdfLink = Yii::$app->directories->getFiles($model, 'pdf');
if($pdfLink) {
    $pdf .= '<a href="'.$pdfLink.'" target="_blank">Download PDF</a>';
    $pdf .= '&nbsp;&nbsp;&nbsp;<a href="index.php?r=design/remove&id='.$model->id.'&type=pdf" style="color:red;">Remove PDF</a>';
}

?>

<div class="design-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]); ?>
    
        <div class="row">
            <div class="col-md-4">
                <?= $form->field($model, 'design_name')->textInput(['maxlength' => true]) ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'colour_idea')->textInput(['maxlength' => true]) ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'design_img')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'img')->fileInput(['accept' => 'image/*']) ?>
                <?= !$model->isNewRecord ? $img : '' ?>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4">
                <?= $form->field($model, 'design_file')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'file')->fileInput(['accept' => '*']) ?>
                <?= !$model->isNewRecord ? $file : '' ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'design_pdf')->hiddenInput()->label(false); ?>
                <?= $form->field($fileUpload, 'pdf')->fileInput(['accept' => 'pdf']) ?>
                <?= !$model->isNewRecord ? $pdf : '' ?>
            </div>
            <div class="col-md-4">
                <?= $form->field($model, 'status')->dropDownList(
                    Yii::$app->local->status(),
                    ['prompt'=>'Select...']);
                ?>
            </div>
        </div>

        <div class='col-md-12'>
            <div class="row">
                <div class="form-group">
                    <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
                </div>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

</div>
<?= ''// $form->field($model, 'user_id')->textInput() ?>
<?= ''// $form->field($model, 'is_deleted')->textInput() ?>
<?= ''// $form->field($model, 'is_printed')->textInput() ?>
<?= ''// $form->field($model, 'status')->textInput() ?>
<?= ''// $form->field($model, 'created_at')->textInput() ?>
<?= ''// $form->field($model, 'created_by')->textInput() ?>
<?= ''// $form->field($model, 'updated_at')->textInput() ?>
<?= ''// $form->field($model, 'updated_by')->textInput() ?>

<style>
    .form-group.field-design-design_img, .form-group.field-design-design_file, .form-group.field-design-design_pdf {
        display: none;
    }
</style>