<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Design */

$this->title = $model->design_name;
$this->params['breadcrumbs'][] = ['label' => 'Designs', 'url' => ['my-uploads']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="design-view">

    <h1><?= '' // Html::encode($this->title) ?></h1>

    <p>
        <?php if(Yii::$app->controller->action->id === 'my-uploads') { ?>
            <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
            <?= Html::a('Delete', ['delete', 'id' => $model->id], [
                'class' => 'btn btn-danger',
                'data' => [
                    'confirm' => 'Are you sure you want to delete this item?',
                    'method' => 'post',
                ],
            ]) ?>
        <?php } ?>

    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            // 'id',
            'design_name',
            'colour_idea',
            [
                'attribute' => 'design_img',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'img');
                    if($link) {
                        $img = '<div class="row">';
                        $img .= '<div class="col-md-12">';
                        $img .= Html::img(Yii::$app->directories->getFiles($model, 'img'), [
                            'style' => 'width:auto; max-height: 100px;',
                            'alt' => 'Image'
                        ]);
                        $img .= '</div>';
                        $img .= '<div class="col-md-12">';
                        $img .= '<a href="'.$link.'" target="_blank">Download Img</a>';
                        $img .= '</div>';
                        
                        return $img;
                    } 
                    return '-';
                }
            ],
            [
                'attribute' => 'design_file',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'file');
                    if($link) {
                        return '<a href="'.$link.'" target="_blank">Download File</a>';
                    } 
                    return '-';
                }
            ],
            [
                'attribute' => 'design_pdf',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'pdf');
                    if($link) {
                        return '<a href="'.$link.'" target="_blank">Download PDF</a>';
                    } 
                    return '-';
                }
            ],
            [
                'attribute' => 'user_id',
                'label' => 'Uploaded By',
                'visible' => Yii::$app->controller->action->id !== 'my-uploads',
                'value' => function($model){
                    return $model->user->username;
                }
            ],
            [
                'attribute' => 'created_at',
                'label' => 'Uploaded On',
                'value' => function($model) {
                    return $model->created_at ? date("Y-m-d h:m:s", strtotime($model->created_at)) : '-';
                }
            ],
            [
                'attribute' => 'updated_by',
                'label' => 'Updated By',
                'visible' => Yii::$app->controller->action->id !== 'my-uploads',
                'value' => function($model){
                    return $model->user->username;
                }
            ],
            [
                'attribute' => 'updated_at',
                'label' => 'Updated On',
                'value' => function($model) {
                    return $model->updated_at ? date("Y-m-d h:m:s", strtotime($model->updated_at)) : '-';
                }
            ],
            // 'is_deleted',
            [
                'attribute' => 'is_deleted',
                'format' => 'raw',
                'value' => function($model) {
                    // echo "<pre>"; print_r(Yii::$app->local->status($model->is_deleted)); echo "</pre>";
                    return Yii::$app->local->flag($model->is_deleted);
                }
            ],
            [
                'attribute' => 'is_printed',
                'format' => 'raw',
                'value' => function($model) {
                    // echo "<pre>"; print_r(Yii::$app->local->flag($model->is_printed)); echo "</pre>";
                    return Yii::$app->local->flag($model->is_printed);
                }
            ],
            [
                'attribute' => 'status',
                'format' => 'raw',
                'value' => function($model) {
                    // echo "<pre>"; print_r(Yii::$app->local->status($model->status)); echo "</pre>";
                    return Yii::$app->local->status($model->status);
                }
            ],
            // [
            //     'attribute' => 'created_by',
            //     'label' => 'Created By',
            //     'visible' => Yii::$app->controller->action->id !== 'my-uploads',
            //     'value' => function($model){
            //         return $model->user->username;
            //     }
            // ],
        ],
    ]) ?>

</div>
<?php 
    // echo "<pre>"; print_r(Yii::$app->local->status()[0]); echo "</pre>";
?>